javax.servlet

## Interface FilterRegistration.Dynamic

All Superinterfaces:
  FilterRegistration, Registration, Registration.Dynamic

Enclosing interface:
  FilterRegistration

    public static interface FilterRegistration.Dynamic
    extends FilterRegistration, Registration.Dynamic

### Nested Class Summary

### Nested classes/interfaces inherited from interface javax.servlet.FilterRegistration

`FilterRegistration.Dynamic`

### Method Summary

### Methods inherited from interface javax.servlet.FilterRegistration

`addMappingForServletNames, addMappingForUrlPatterns, getServletNameMappings, getUrlPatternMappings`

### Methods inherited from interface javax.servlet.Registration.Dynamic

`setAsyncSupported`

### Methods inherited from interface javax.servlet.Registration

`getClassName, getInitParameter, getInitParameters, getName, setInitParameter, setInitParameters`